
From: Dave Jones <davej@redhat.com>

This pointer is used prior to a test for NULL.  But Bart says it can never
be NULL.

Signed-off-by: Dave Jones <davej@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/pci/hpt366.c |    6 ------
 1 files changed, 6 deletions(-)

diff -puN drivers/ide/pci/hpt366.c~hpt366-ptr-use-before-null-check drivers/ide/pci/hpt366.c
--- 25/drivers/ide/pci/hpt366.c~hpt366-ptr-use-before-null-check	2004-09-03 23:45:45.125122536 -0700
+++ 25-akpm/drivers/ide/pci/hpt366.c	2004-09-03 23:45:45.129121928 -0700
@@ -777,9 +777,6 @@ static int hpt3xx_tristate (ide_drive_t 
 	u8 reg59h = 0, reset	= (hwif->channel) ? 0x80 : 0x40;
 	u8 regXXh = 0, state_reg= (hwif->channel) ? 0x57 : 0x53;
 
-	if (!hwif)
-		return -EINVAL;
-
 //	hwif->bus_state = state;
 
 	pci_read_config_byte(dev, 0x59, &reg59h);
@@ -813,9 +810,6 @@ static int hpt370_busproc(ide_drive_t * 
 	u8 tristate = 0, resetmask = 0, bus_reg = 0;
 	u16 tri_reg;
 
-	if (!hwif)
-		return -EINVAL;
-
 	hwif->bus_state = state;
 
 	if (hwif->channel) { 
_
